#89 Errors With Install.php

closed
nobody
None
5
2012-10-21
2012-06-26
ACTech
No

Hi there,

I'm trying to setup AJAX on my workstation to test it out, but I keep getting stuck on a trio of errors when I try to get to the "run install.php" step of the setup instructions.

I've installed xampp and created a database in MySQL for AJAX called "chat"
I'm using the example config.php file with the database connections setup as per the "Configuration Settings" step of the readme.
I've tried using the root account (with a blank password and with a password)
I've tried setting up a separate user account with full permissions
There may have also been some other things I tried, but can't recall at the momment.

Here is an example of the error messages I receive:
Warning: mysql_query() expects parameter 2 to be resource, string given in C:\xampp\htdocs\chat\lib\class\AJAXChatMySQLQuery.php on line 24

Warning: mysql_errno() expects parameter 1 to be resource, string given in C:\xampp\htdocs\chat\lib\class\AJAXChatMySQLQuery.php on line 26

Warning: mysql_error() expects parameter 1 to be resource, string given in C:\xampp\htdocs\chat\lib\class\AJAXChatMySQLQuery.php on line 27
Query: DROP TABLE IF EXISTS ajax_chat_online; Error-Report: Error-Code:

It looks like I'm using standalone version 0.8.5a

Any tips or tricks on how I might be able to get around this?

Thanks!

Discussion

  • Please use the forum for support requests.

     
    • status: open --> closed